* {
    font-family: 'Inter', sans-serif;
}
input, select, button {
    font-family: 'Inter', sans-serif;
}
body, input, select, button {
    background-color: var(--body-background);
}

.material-symbols-outlined, .material-symbols-rounded, .material-symbols-sharp {
    font-variation-settings: 'FILL' 0, 'wght' 300, 'GRAD' 0, 'opsz' 48;
}
.material-symbols-outlined.filled {
    font-variation-settings: 'FILL' 1, 'wght' 300, 'GRAD' 0, 'opsz' 48;
}

.nom { margin: 0; }
.nop { padding: 0; }

.w-100 { width: 100%; }
.w-fit { width: fit-content; }
.w-200px { width: 200px; }
.w-300px { width: 300px; }
.h-100 { height: 100%; }
.square-300px { width: 300px; height: 300px; }

.m-auto { margin: auto;}
.p-lr-8px { padding-left: 8px; padding-right: 8px; }
.p-l-8px { padding-left: 8px; }
.p-r-8px { padding-right: 8px; }

.m-b-4px { margin-bottom: 4px; }
.m-b-8px { margin-bottom: 8px; }
.m-b-12px { margin-bottom: 12px; }
.m-b-halfrow { margin-bottom: 10px; }

.f-10px { font-size: 10px !important; }
.f-12px { font-size: 12px !important; }
.f-16px { font-size: 16px !important; }
.f-smallest { font-size: 12px !important; }
.f-smaller { font-size: 14px !important; }
.f-normal { font-size: 16px !important; }
.f-bigger { font-size: 18px !important; }
.f-biggest { font-size: 20px !important; }

.thinest { font-weight: 100; }
.thin { font-weight: 200; }
.semibold { font-weight: 600; }
.bold { font-weight: 800; }
.italic { font-style: italic; }
.underline { text-decoration: underline; }

.hidden { display: none; }
.block { display: block; }
.inline-block { display: inline-block; }

.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.clickable { cursor: pointer; }

.b-rad-4px { border-radius: 4px; }

.separator { width: 100%; height: 20px; }

.relative { position: relative; }

.h-auto-container {
    display: flex;
    flex-direction: column;
}
.h-auto-container .row {
    width: 100%;
}
.h-auto {
    flex: 1 1 auto;
}

.progress {
    background-color: var(--lightgrey);
    margin: 12px 0;
}
.progress .indeterminate {
    background-color: var(--grey);
}

.capsule {
    width: fit-content;
    border-radius: 20px;
    padding: 2px 12px;
    font-size: 12px;
    display: inline-flex;
    align-items: center;
}
.capsule.bg-green {
    background-color: rgba(121, 172, 120, 1);
    color: white;
}
.capsule.bg-green i {
    color: rgba(86, 226, 142, 1);
    font-size: 12px;
    padding-right: 8px;
    vertical-align: middle;
}
.capsule.bg-grey {
    background-color: rgba(200, 200, 200, 1);
    color: black;
}
.capsule.bg-grey i {
    color: rgba(100, 100, 100, 1);
    font-size: 12px;
    padding-right: 8px;
    vertical-align: middle;
}

.border-bottom-grey {
    border-bottom: 1px solid var(--lightgrey);
}

label { color: var(--grey); }
a.btn,
a.btn-small,
a.btn-large,
a.btn-flat,
button:not(.firebaseui-idp-button) {
    box-shadow: none !important;
    border-radius: 4px !important;
    text-transform: none !important;
}

button.btn-flat.grey-border {
    border: 1px solid rgba(210, 210, 210, 1);
}
input.browser-default,
select.browser-default {
    padding: 8px 12px;
    border-radius: 4px;
    border: 1px solid rgba(210, 210, 210, 1);
    background-color: white;
    height: 36px;
    line-height: 36px;
}
input.browser-default:focus,
select.browser-default:focus { outline: none; }

input.browser-default:disabled {
    background-color: rgba(239,239,239,.3);
}

select.browser-default {
    font-size: 14px;
    padding: 4px 20px 4px 12px;
}

a { color: auto; cursor: pointer; }
a.disabled { color: var(--lightgrey); cursor: default; }

input.with-right-icon {
    padding-right: 36px;
}
.right-icon {
    position: absolute;
    right: 24px;
    font-size: 18px !important;
    top: 8px;
    color: rgba(224, 224, 224, 1);
    cursor: pointer;
}
.right-icon.right-12px {
    right: 12px;
}

input.browser-default.h-36px { height: 36px; line-height: 36px; }

table th, table td { border-radius: 0; font-size: 12px; padding: 10px; }
table.striped>tbody>tr:nth-child(odd) {
    background-color: var(--lightgrey-2);
}
table.noborder tr { border: none; }
table.noborder td { border: none; }
table th {
    font-weight: 600;
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

.glass {
    background: rgba(255, 255, 255, 0.2);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
}

.v-scroll {
    overflow-y: auto;
}

.card {
    padding: 20px;
    border-radius: 10px;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.modal {
    border-radius: 10px;
}
.modal .modal-footer {
    padding: 0 24px 24px 24px;
    height: auto;
}


.swal2-styled.swal2-confirm {
    background-color: var(--blue);
}

.switch label input[type=checkbox]:checked+.lever {
    background-color: var(--blue);
}
.switch label input[type=checkbox]+.lever:after,
.switch label input[type=checkbox]:checked+.lever:after {
    background-color: var(--darkblue);
}

.switch-utc {
    display: flex;
    align-items: center;
    gap: 5px;
}

.switch-utc-1 {
    order: 1;
}

#lever-utc-input {
    order: 2;
    display: none;
    /* Sembunyikan checkbox */
}

.lever-utc {
    order: 3;
}

.switch-utc-2 {
    order: 4;
}

.switch-utc label input[type=checkbox]+.lever.lever-utc {
    background-color: var(--blue);
}

.switch-utc-1,
.switch-utc-2 {
    transition: all 0.3s ease;
}

.switch-utc:has(#lever-utc-input:not(:checked)) .switch-utc-1,
#lever-utc-input:checked+.lever+.switch-utc-2 {
    color: white;
    text-shadow: 1px 1px 10px #fff, 1px 1px 10px #ccc;
}

.footer-status {
    opacity: 1;
    position: fixed;
    bottom: 0;
    left: 0px;
    width: 100%;
    background-color: var(--body-background);
    background-color: #424348DD;
    color: #EAD6B6;
    font-weight: 600;
    transition: opacity .2s ease;
    z-index: 999;
    padding: 10px;
}
.opacity-0 { opacity: 0; }

[type="checkbox"].filled-in:checked+span:not(.lever):after {
    background-color: var(--blue);
    border: 2px solid var(--blue);
}



.icon-up-down {
    /* display: block; */
}
.icon-up {
    display: inherit;
    transform: rotate(-90deg);
    color: green;
}
.icon-down {
    display: inherit;
    transform: rotate(90deg);
    color: red;
}
